<template>
    <div class="search-input-wrapper input-group mb-3">
        <input class="form-control" type="text" :value="modelValue" @input="updateValue" v-bind="$attrs"
            aria-label="Bus stop" aria-describedby="Bus stop name">
        <span class="input-group-text" id="Bus stop name">
            <svg width="15" height="15" viewBox="0 0 15 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd"
                    d="M1.83325 7.33337C1.83325 4.29581 4.29569 1.83337 7.33325 1.83337C10.3708 1.83337 12.8333 4.29581 12.8333 7.33337C12.8333 10.3709 10.3708 12.8334 7.33325 12.8334C4.29569 12.8334 1.83325 10.3709 1.83325 7.33337ZM7.33325 0.833374C3.7434 0.833374 0.833252 3.74352 0.833252 7.33337C0.833252 10.9232 3.7434 13.8334 7.33325 13.8334C8.9482 13.8334 10.4256 13.2444 11.5624 12.2696L13.6464 14.3536C13.8416 14.5489 14.1582 14.5489 14.3535 14.3536C14.5487 14.1583 14.5487 13.8418 14.3535 13.6465L12.2695 11.5625C13.2443 10.4257 13.8333 8.94832 13.8333 7.33337C13.8333 3.74352 10.9231 0.833374 7.33325 0.833374Z"
                    fill="#9A9DA4" />
            </svg>
        </span>
    </div>
</template>    

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
    props: ['modelValue'],
    emits: ['update:modelValue'],
    inheritAttrs: false,
    setup(_, { emit }) {
        const updateValue = (e: Event) => {
            emit('update:modelValue', (e.target as HTMLInputElement).value);
        }

        return {
            updateValue,
        }
    }
});
</script>

<style lang="scss" scoped>
.input-group-text {
    background-color: inherit;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.search-input-wrapper {
    .search-input {
        font-family: var(--font-family-sans-serif);
        font-size: 12px;
        font-weight: 400;
        border-right: unset;

        &::placeholder {
            font-family: var(--font-family-sans-serif);
        }
    }

    &:hover,
    &:focus-within {
        svg>path {
            fill: var(--primary);
        }

        .search-input {

            &:focus {
                outline: none;
                box-shadow: none;
            }
        }

        .search-input,
        .input-group-text {
            border-color: var(--primary);
        }
    }
}
</style>